--- title: "View product" slug: "apigateway-dashboardapikey-products" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-dashboardapikey-products" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View product Available in Classic and VPC View the created product using the API key-related parameters in the dashboard. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/dashboards/api-keys/{api-key-id}/product-ids | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `api-key-id` | String | Required | API key ID associated with the product | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regions` | String | Optional | Region to view products for - Items in a collection can't be null | | `offset` | Long | Optional | Starting point in the list of data to view - 0 - 9,223,372,036,854,775,807 | | `limit` | Long | Optional | Number of data to view at once - 1 - 9,223,372,036,854,775,807 | | `from` | String | Required | Query start date - yyyy-MM-dd format | | `to` | String | Required | Query end date - yyyy-MM-dd format | | `timeZone` | String | Required | Time zone (+09:00) - URL encoding is required when using the GET method | ### Request example The following is a sample request. ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/dashboards/api-keys/{api-key-id}/product-ids?from=2024-05-09&to=2024-05-09&timeZone=%2B09%3A00' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "products": [ { "productId": "productId", "productName": "productName", "deleted": false } ] } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "products": [ { "productId": "*****xn0bk", "productName": "product-***", "deleted": false } ] } ```